<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: io/writedata.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_7dc76e12c3f74bb85b7effb3b7dc07e4.html">io</a>
  </div>
</div>
<div class="contents">
<h1>writedata.c File Reference</h1><code>#include &quot;<a class="el" href="magpario_8h_source.html">magpario.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="util_8h_source.html">util/util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for writedata.c:</div>
<div class="dynsection">
<div class="center"><img src="writedata_8c__incl.png" border="0" usemap="#io_2writedata_8c_map" alt=""/></div>
<map name="io_2writedata_8c_map" id="io_2writedata_8c">
<area shape="rect" id="node3" href="magpario_8h.html" title="magpario.h" alt="" coords="108,86,193,117"/><area shape="rect" id="node15" href="util_8h.html" title="util/util.h" alt="" coords="217,86,287,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="writedata_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writedata_8c.html#a7ff05d6bfdfc02445d6245fec57f686e">WriteSet</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a7ff05d6bfdfc02445d6245fec57f686e"></a><!-- doxytag: member="writedata.c::WriteSet" ref="a7ff05d6bfdfc02445d6245fec57f686e" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int WriteSet </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writedata_8c_source.html#l00036">36</a> of file <a class="el" href="writedata_8c_source.html">writedata.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00143">GridData::inp</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>, <a class="el" href="writedatadat_8c_source.html#l00380">WriteDat()</a>, <a class="el" href="writedatapng_8c_source.html#l00168">WritePNG()</a>, and <a class="el" href="writedatapng2_8c_source.html#l00168">WritePNG2()</a>.</p>

<p>Referenced by <a class="el" href="checkiterationemini_8c_source.html#l00071">CheckIterationEmini()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="eminisolve_8c_source.html#l00191">ConvTest()</a>, <a class="el" href="eminisolve_8c_source.html#l00466">EminiSolve()</a>, <a class="el" href="main_8c_source.html#l00146">keepsolving()</a>, <a class="el" href="parinit_8c_source.html#l00054">ParInit()</a>, and <a class="el" href="main_8c_source.html#l00285">Solve()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="writedata_8c_a7ff05d6bfdfc02445d6245fec57f686e_cgraph.png" border="0" usemap="#writedata_8c_a7ff05d6bfdfc02445d6245fec57f686e_cgraph_map" alt=""></div>
<map name="writedata_8c_a7ff05d6bfdfc02445d6245fec57f686e_cgraph_map" id="writedata_8c_a7ff05d6bfdfc02445d6245fec57f686e_cgraph">
<area shape="rect" id="node3" href="magpario_8h.html#a617c029487285a8f6077f0397c386342" title="WriteAVS" alt="" coords="132,58,207,89"/><area shape="rect" id="node7" href="magpario_8h.html#a8a2136d4b7b21ac2719c65356c713cbb" title="WriteDat" alt="" coords="135,111,204,142"/><area shape="rect" id="node25" href="writedatapng_8c.html#a629c0cdcd1b586d1645c533c397e0456" title="WritePNG" alt="" coords="131,218,208,249"/><area shape="rect" id="node47" href="writedatapng2_8c.html#aaa844719c96178cd07f858c1192c7341" title="WritePNG2" alt="" coords="127,165,212,195"/><area shape="rect" id="node5" href="syncffprintf_8c.html#ad822d6c23d995cdca14184e56d559423" title="SynchronizedFastFPrintf" alt="" coords="261,58,427,89"/><area shape="rect" id="node9" href="writedatadat_8c.html#a27c977d96cd920cf08c4c10eb3565f10" title="WriteDatInit" alt="" coords="300,111,388,142"/><area shape="rect" id="node11" href="axesrot_8c.html#a55381bb85270f2885891ae5fcfa61369" title="AxesRotation" alt="" coords="476,163,575,194"/><area shape="rect" id="node15" href="barycent_8c.html#ac3e1493d687d06e1258e781a9fdf5a90" title="barycent" alt="" coords="643,111,715,142"/><area shape="rect" id="node19" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="625,58,732,89"/><area shape="rect" id="node13" href="axesrot_8c.html#a5b63115a2dab7c63c692f4a4d739036c" title="checkortho" alt="" coords="636,5,721,35"/><area shape="rect" id="node17" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="923,59,1037,90"/><area shape="rect" id="node22" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="781,59,875,90"/><area shape="rect" id="node27" href="writepng_8c.html#a7770d19aebe21e0a423fd40781030bcb" title="WritePNGfile" alt="" coords="296,218,392,249"/><area shape="rect" id="node29" href="writedatapng_8c.html#a3f07c3a3f70ce2f4d84f69022cccf680" title="WritePNGinit" alt="" coords="296,271,392,302"/><area shape="rect" id="node32" href="bbox2_8c.html#a2460e21f8005742412b1ac06db34db6e" title="bbox2" alt="" coords="497,298,553,329"/><area shape="rect" id="node37" href="calAfe2sq_8c.html#aa06eabdea2e391822f9b4f13e5ffc35e" title="CalAfe2sq" alt="" coords="484,217,567,247"/><area shape="rect" id="node34" href="calcbbox_8c.html#a7dcec04c75706920d2732ace5fe3bdf5" title="calcbbox" alt="" coords="641,325,716,355"/><area shape="rect" id="node39" href="area_8c.html#ae10b3dfec502fed986fa89fea83631f9" title="AreaCal" alt="" coords="645,271,712,302"/><area shape="rect" id="node42" href="calAfe2sq_8c.html#a3c9e7dc062accf00d94cdd1e6124764d" title="findeleslice" alt="" coords="636,165,721,195"/><area shape="rect" id="node45" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="632,218,725,249"/><area shape="rect" id="node49" href="writedatapng2_8c.html#a916a4d7d0d8aec0eac742e8f8bb41a93" title="WritePNG2init" alt="" coords="293,165,395,195"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="writedata_8c_a7ff05d6bfdfc02445d6245fec57f686e_icgraph.png" border="0" usemap="#writedata_8c_a7ff05d6bfdfc02445d6245fec57f686e_icgraph_map" alt=""></div>
<map name="writedata_8c_a7ff05d6bfdfc02445d6245fec57f686e_icgraph_map" id="writedata_8c_a7ff05d6bfdfc02445d6245fec57f686e_icgraph">
<area shape="rect" id="node3" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="125,76,264,107"/><area shape="rect" id="node5" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="488,101,547,132"/><area shape="rect" id="node9" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="349,229,403,260"/><area shape="rect" id="node12" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="131,129,259,160"/><area shape="rect" id="node16" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="156,23,233,53"/><area shape="rect" id="node21" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="152,183,237,213"/><area shape="rect" id="node25" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="149,236,240,267"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="595,140,645,171"/><area shape="rect" id="node18" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="313,24,439,55"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

